package com.ruoyi.ngtools.mapper;

import java.util.List;
import com.ruoyi.ngtools.domain.NgMeterpar;
import com.ruoyi.ngtools.domain.NgNgpar;

/**
 * 流量计参数Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-03
 */
public interface NgMeterparMapper 
{
    /**
     * 查询流量计参数
     * 
     * @param id 流量计参数主键
     * @return 流量计参数
     */
    public NgMeterpar selectNgMeterparById(String id);

    /**
     * 查询流量计参数列表
     * 
     * @param ngMeterpar 流量计参数
     * @return 流量计参数集合
     */
    public List<NgMeterpar> selectNgMeterparList(NgMeterpar ngMeterpar);

    /**
     * 新增流量计参数
     * 
     * @param ngMeterpar 流量计参数
     * @return 结果
     */
    public int insertNgMeterpar(NgMeterpar ngMeterpar);

    /**
     * 修改流量计参数
     * 
     * @param ngMeterpar 流量计参数
     * @return 结果
     */
    public int updateNgMeterpar(NgMeterpar ngMeterpar);

    /**
     * 删除流量计参数
     * 
     * @param id 流量计参数主键
     * @return 结果
     */
    public int deleteNgMeterparById(String id);

    /**
     * 批量删除流量计参数
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNgMeterparByIds(String[] ids);

    /**
     * 批量删除天然气物性参数
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNgNgparByMeternos(String[] ids);
    
    /**
     * 批量新增天然气物性参数
     * 
     * @param ngNgparList 天然气物性参数列表
     * @return 结果
     */
    public int batchNgNgpar(List<NgNgpar> ngNgparList);
    

    /**
     * 通过流量计参数主键删除天然气物性参数信息
     * 
     * @param id 流量计参数ID
     * @return 结果
     */
    public int deleteNgNgparByMeterno(String id);
}
